﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Updating Datasets</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Updating Datasets</h1>
        <p>You can update the existing dataset basic details as well as attributes uploaded in EIC. EIC allows you to delete existing attributes and overwrite existing attributes with new values. The updates done to the datasets are logged in <strong>Admin &gt; Admin Functions &gt; Application Audit Logs</strong>. </p>
        <p>To update the dataset, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Identity Repository &gt; Dataset</strong>.<br />The available datasets are displayed as shown in the following figure.</p>
                <p>
                    <img src="../../Resources/Images/39.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                    <br />
                </p>
            </li>
            <li>
                <p>Click the <strong>DATASET </strong>Name or click the Edit icon in Action to update the respective dataset.<br />The dataset basic details are displayed.<br /></p>
                <p>
                    <img src="../../Resources/Images/40.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                    <br />
                </p>
            </li>
            <li>
                <p>You can update the dataset name, description, display name, and owner from this screen. </p>
            </li>
            <li>
                <p>Click the <strong>Dataset Values </strong>tab to update or delete the dataset attribute details.<br />The Dataset Values screen is displayed.<br /></p>
                <p>
                    <img src="../../Resources/Images/41.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
            </li>
            <li>
                <p>Click <strong>Actions &gt; Create Fresh Import </strong>to import a new dataset and overwrite the existing attribute values.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">The maximum number of values supported for uploading in a Dataset file are ‘10,000’ records. If the number of dataset values exceeds ‘10,000’ in a single Dataset file, it might result in an error.<br /></p>
                </div>
            </li>
            <li>
                <p>Select the .csv file and click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>Click <strong>Actions &gt; Add New Row</strong> to add a new attribute to the existing dataset.</p>
            </li>
            <li>
                <p>Specify the attribute details and click <strong>Create</strong>.</p>
            </li>
            <li>
                <p>The newly added row is now displayed in the list.</p>
            </li>
            <li>
                <p>To remove an existing attribute click the <strong>Delete </strong>icon in Action.</p>
            </li>
            <li>
                <p>A confirmation message is displayed stating the record will be permanently removed.</p>
            </li>
            <li>
                <p>Click <strong>Yes</strong>.</p>
            </li>
            <li>
                <p>Click <strong>Update </strong>from the <strong>Dataset Detail </strong>tab to complete the changes.</p>
            </li>
            <li>
                <p>Updates done in the dataset can be tracked using <strong>Admin &gt; Admin Functions &gt; Application Audit Logs </strong>as shown in the following figure. <br /></p>
                <p>
                    <img src="../../Resources/Images/42.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
            </li>
        </ol>
    </body>
</html>